#include "../../../lib/std.mi"

Global Button buttonInfoEditor;
Global Text textNormalSongTicker, textClassicSongTicker, textStickSongTicker;

System.onScriptLoaded() {
	Layout layoutMainNormal = System.getContainer("main").getLayout("normal");
	Layout layoutMainClassic = System.getContainer("main").getLayout("classic");
	Layout layoutMainStick = System.getContainer("main").getLayout("stick");
	
	Group groupNormalDisplay = layoutMainNormal.getObject("player.normal.group.display");
	Group groupClassicDisplay = layoutMainClassic.getObject("player.classic.group.display");
	Group groupStickDisplay = layoutMainStick.getObject("player.stick.group.display");
	
	buttonInfoEditor = groupNormalDisplay.getObject("PlayerInfoEditor");
	textNormalSongTicker = groupNormalDisplay.getObject("PlayerSongTicker");
	textClassicSongTicker = groupClassicDisplay.getObject("PlayerSongTicker");
	textStickSongTicker = groupStickDisplay.getObject("PlayerSongTicker");
}

textNormalSongTicker.onLeftButtonDblClk(Int intX, Int intY) {
	buttonInfoEditor.leftClick();
}
textClassicSongTicker.onLeftButtonDblClk(Int intX, Int intY) {
	buttonInfoEditor.leftClick();
}
textStickSongTicker.onLeftButtonDblClk(Int intX, Int intY) {
	buttonInfoEditor.leftClick();
}