#include "../../../lib/std.mi"

Global Layer layerWasabiFrameGlassLeft;
Global Layer layerWasabiFrameGlassMiddle;
Global Layer layerWasabiFrameGlassRight;
Global Slider sliderGlassOpacity;
Global Timer timerGlassOpacityCheck;

System.OnScriptLoaded() {
	Group groupWasabiFrame = System.getScriptGroup();
	layerWasabiFrameGlassLeft = groupWasabiFrame.getObject("component.top.left.glass");
	layerWasabiFrameGlassMiddle = groupWasabiFrame.getObject("component.top.middle.glass");
	layerWasabiFrameGlassRight = groupWasabiFrame.getObject("component.top.right.glass");
	
	timerGlassOpacityCheck = new Timer;
	timerGlassOpacityCheck.setDelay(1000);
	timerGlassOpacityCheck.start();
}

timerGlassOpacityCheck.onTimer() {
	Int intNewGlassOpacity = System.getPrivateInt("Mercury", "GlassOpacity", 255);
	layerWasabiFrameGlassLeft.setAlpha(intNewGlassOpacity);
	layerWasabiFrameGlassMiddle.setAlpha(intNewGlassOpacity);
	layerWasabiFrameGlassRight.setAlpha(intNewGlassOpacity);
}
